-- ASGetSelection.applescript
-- Sidekick for AppleWorks 6.

--  Created by Dale Gillard on Sat Nov 16 2002.
--  Copyright (c) 2003 Dale M Gillard. All rights reserved.

tell application "AppleWorks 6"
	try
		if text document is document kind of front document then
			if text is class of selection then
				set oldDelims to AppleScript's text item delimiters
				try
					set AppleScript's text item delimiters to " "
					--	return every word of text of selection as string
					return selection
				on error
					set AppleScript's text item delimiters to oldDelims
					return ""
				end try
			else
				return ""
				
			end if
		else
			return ""
		end if
	on error
		return ""
	end try
end tell